#!/bin/bash

echo
echo "The compilation of the generated BIP model relies on headers generated by build-script.sh."
echo "Make sure that the binary.c folder is available."
echo

rm -rf output

mkdir output

bipc.sh -I . -p InterfaceView -d "Syst()" --gencpp-output output --gencpp-ld-l rt --gencpp-cc-I $PWD/ext-cpp --gencpp-cc-I $PWD/binary.c/auto-src --gencpp-cc-I $PWD/binary.c/GlueAndBuild/gluex86_partition_taste_api -gencpp-cc-I $PWD/f2/

mkdir output/build

cd output/build

cmake ..

make

./system -l 100 --silent


